## opencpn 4.8.2

=== CMakeLists.txt ===
#---------------------------------------------------------------------------
## Author:      Dave Register
## DEB config from: antonm - Anton Martchukov <anton@martchukov.com>
## Update:      sethdart (Jean-Eudes Onfray)
##              with parts from balp (Anders Arnholm)
##***************************************************************************
## *   Copyright (C) 2010 by David S. Register                               *
## *   This program is free software; you can redistribute it and/or modify  *
## *   it under the terms of the GNU General Public License as published by  *
## *   the Free Software Foundation; either version 2 of the License, or     *
## *   (at your option) any later version.                                   *
## *                                                                         *
## *   This program is distributed in the hope that it will be useful,       *
## *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
## *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
## *   GNU General Public License for more details.                          *
## *                                                                         *
## *   You should have received a copy of the GNU General Public License     *
## *   along with this program; if not, write to the                         *
## *   Free Software Foundation, Inc.,                                       *
## *   51 Franklin Street, Fifth Floor, Boston, MA 02110-1301,  USA.         *
## ***************************************************************************

#TODO:
# - cross platform compiling
# - test with Win & OSX
# USE_GLU_TESS
# USE_GLU_DLL
# I also find it deficient in some areas. For instance, I cannot make it output a VS project with certain compile switches set as desired, namely /MT vs /MD. This means I must manually set this and other compiler options after the CMake step. Sometimes I forget. Grrr...
# set /MT for Release build, and /MTd for debug.

# define minimum cmake version
CMAKE_MINIMUM_REQUIRED(VERSION 2.6.2)
IF (COMMAND cmake_policy)
  if (POLICY CMP0043)
    CMAKE_POLICY(SET CMP0043 NEW)
  endif (POLICY CMP0043)
ENDIF (COMMAND cmake_policy)

PROJECT(OpenCPN)

SET(CMAKE_VERBOSE_MAKEFILE ON)

IF(APPLE)
  SET(PACKAGE_NAME OpenCPN)
ELSE(APPLE)
  SET(PACKAGE_NAME opencpn)
ENDIF(APPLE)

OPTION(OCPN_USE_LIBCPP "Use C++11 and libc++ instead of libstdc++ on macOS" OFF)

if ( CMAKE_VERSION VERSION_GREATER 3.4 )
  set(ENABLE_CLANG_TIDY OFF CACHE BOOL "Add clang-tidy automatically to builds")
  if (ENABLE_CLANG_TIDY)
    find_program (CLANG_TIDY_EXE NAMES "clang-tidy" PATHS /usr/local/opt/llvm/bin )
    if (CLANG_TIDY_EXE)
      message(STATUS "clang-tidy found: ${CLANG_TIDY_EXE}")
      #For more, see http://clang.llvm.org/extra/clang-tidy/
      #set(CLANG_TIDY_CHECKS "-*,modernize-*")
      set(CLANG_TIDY_CHECKS "-*,performance-*")
      set(CMAKE_CXX_CLANG_TIDY "${CLANG_TIDY_EXE};-checks=${CLANG_TIDY_CHECKS};-header-filter='${CMAKE_SOURCE_DIR}/*'"
        CACHE STRING "" FORCE)
    else()
      message(AUTHOR_WARNING "clang-tidy not found!")
      set(CMAKE_CXX_CLANG_TIDY "" CACHE STRING "" FORCE) # delete it
    endif()
  endif()
endif()

if ( CMAKE_VERSION VERSION_GREATER 3.9 )
  set(ENABLE_CPPCHECK OFF CACHE BOOL "Add cppcheck automatically to builds")
  if (ENABLE_CPPCHECK)
      find_program (CPPCHECK_EXECUTABLE NAMES "cppcheck" )
      set(CMAKE_CXX_CPPCHECK ${CPPCHECK_EXECUTABLE})
  endif()
endif()

INCLUDE( ${CMAKE_SOURCE_DIR}/VERSION.cmake )
SET(PACKAGE_VERSION "${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH}" )
IF(EXISTS "${CMAKE_CURRENT_SOURCE_DIR}/include/version.h")
    MESSAGE(FATAL_ERROR "There exists a relic 'include/version.h' in the source tree! Remove it.")
ENDIF(EXISTS "${CMAKE_CURRENT_SOURCE_DIR}/include/version.h")


#Red Hat:   /etc/redhat-release
#Slackware: /etc/slackware-version
#Slamd64:   /etc/slamd64-version
#Gentoo: /etc/gentoo-release
#Ubuntu: /etc/debian_version

# Based on code from nohal
IF (NOT WIN32)
  # default
  SET (ARCH "i386")
  SET (LIB_INSTALL_DIR "lib")
  IF (EXISTS /etc/debian_version)
    SET (PACKAGE_FORMAT "DEB")
    SET (PACKAGE_DEPS "libc6, libwxgtk3.0-0, wx3.0-i18n, libglu1-mesa (>= 7.0.0), libgl1-mesa-glx (>= 7.0.0), zlib1g, bzip2, libtinyxml2.6.2, libportaudio2")
    SET (PACKAGE_RECS "xcalib,xdg-utils")
    SET (LIB_INSTALL_DIR "lib")
    IF (CMAKE_SYSTEM_PROCESSOR MATCHES "arm*")
      IF (CMAKE_SIZEOF_VOID_P MATCHES "8")
        SET (ARCH "arm64")
      ELSE (CMAKE_SIZEOF_VOID_P MATCHES "8")
        SET (ARCH "armhf")
      ENDIF (CMAKE_SIZEOF_VOID_P MATCHES "8")
    ELSE (CMAKE_SYSTEM_PROCESSOR MATCHES "arm*")
      IF (CMAKE_SIZEOF_VOID_P MATCHES "8")
        SET (ARCH "amd64")
      ELSE (CMAKE_SIZEOF_VOID_P MATCHES "8")
        SET (ARCH "i386")
      ENDIF (CMAKE_SIZEOF_VOID_P MATCHES "8")
    ENDIF (CMAKE_SYSTEM_PROCESSOR MATCHES "arm*")
    SET(TENTATIVE_PREFIX "/usr/local")
  ENDIF (EXISTS /etc/debian_version)
  IF (EXISTS /etc/redhat-release)
    SET (PACKAGE_FORMAT "RPM")
    #    SET (PACKAGE_DEPS  "wxGTK mesa-libGLU mesa-libGL gettext zlib bzip2 portaudio")
    IF (CMAKE_SYSTEM_PROCESSOR MATCHES "arm*")
      IF (CMAKE_SIZEOF_VOID_P MATCHES "8")
        SET (ARCH "aarch64")
      ELSE (CMAKE_SIZEOF_VOID_P MATCHES "8")
        SET (ARCH "armhf")
      ENDIF (CMAKE_SIZEOF_VOID_P MATCHES "8")
    ELSE (CMAKE_SYSTEM_PROCESSOR MATCHES "arm*")
      IF (CMAKE_SIZEOF_VOID_P MATCHES "8")
        SET (ARCH "x86_64")
        SET (LIB_INSTALL_DIR "lib64")
      ELSE (CMAKE_SIZEOF_VOID_P MATCHES "8")
        SET (ARCH "i386")
        SET (LIB_INSTALL_DIR "lib")
      ENDIF (CMAKE_SIZEOF_VOID_P MATCHES "8")
    ENDIF (CMAKE_SYSTEM_PROCESSOR MATCHES "arm*")
  ENDIF (EXISTS /etc/redhat-release)
  IF (EXISTS /etc/suse-release OR EXISTS /etc/SuSE-release)
    SET (PACKAGE_FORMAT "RPM")
    #    SET (PACKAGE_DEPS  "libwx_baseu-2_8-0-wxcontainer MesaGLw libbz2-1 portaudio")
    IF (CMAKE_SYSTEM_PROCESSOR MATCHES "arm*")
      IF (CMAKE_SIZEOF_VOID_P MATCHES "8")
        SET (ARCH "aarch64")
      ELSE (CMAKE_SIZEOF_VOID_P MATCHES "8")
        SET (ARCH "armhf")
      ENDIF (CMAKE_SIZEOF_VOID_P MATCHES "8")
    ELSE (CMAKE_SYSTEM_PROCESSOR MATCHES "arm*")
      IF (CMAKE_SIZEOF_VOID_P MATCHES "8")
        SET (ARCH "x86_64")
        SET (LIB_INSTALL_DIR "lib")
        # In recent openSUSE versions (as of 2016), lib64 is mostly used when there are both 32-bit and 64-bit versions, although not limited to that.
        # This CMake variable only affects the location of OpenCPN plugins at installation time, and nothing more than that.
        # At run time, the plugin directory is determined by wxStandardPaths::GetPluginsDir(), which returns "lib", so this can be considered canonical.
      ELSE (CMAKE_SIZEOF_VOID_P MATCHES "8")
        SET (ARCH "i386")
        SET (LIB_INSTALL_DIR "lib")
      ENDIF (CMAKE_SIZEOF_VOID_P MATCHES "8")
    ENDIF (CMAKE_SYSTEM_PROCESSOR MATCHES "arm*")
  ENDIF (EXISTS /etc/suse-release OR EXISTS /etc/SuSE-release)
  IF (EXISTS /etc/gentoo-release)
    SET (LIB_INSTALL_DIR "lib${LIB_SUFFIX}")
  ENDIF (EXISTS /etc/gentoo-release)
  IF(APPLE)
    IF (CMAKE_SIZEOF_VOID_P MATCHES "8")
#      IF (CMAKE_OSX_64)
        SET(ARCH "x86_64")
#      ENDIF (CMAKE_OSX_64)
    ENDIF (CMAKE_SIZEOF_VOID_P MATCHES "8")
  ENDIF()
ELSE (NOT WIN32)
  # On WIN32 probably CMAKE_SIZEOF_VOID_P EQUAL 8, but we don't use it at all now...
  SET (ARCH "i386")
ENDIF (NOT WIN32)

#IF (CMAKE_SYSTEM_PROCESSOR MATCHES "arm*")
#  SET (ARCH "armhf")
#ENDIF (CMAKE_SYSTEM_PROCESSOR MATCHES "arm*")

MESSAGE (STATUS "*** Build Architecture is ${ARCH}")
SET(PACKAGE_RELEASE "1" CACHE STRING "Package release number")

#  Detect the Apple Version of the build machine
IF (APPLE)
   EXEC_PROGRAM(uname ARGS -v  OUTPUT_VARIABLE DARWIN_VERSION)
   STRING(REGEX MATCH "[0-9]+" DARWIN_VERSION ${DARWIN_VERSION})
   MESSAGE(STATUS "*** Building on DARWIN_VERSION=${DARWIN_VERSION}")
   IF (DARWIN_VERSION GREATER 11)
     SET(APPLE_MODERN 1 INTERNAL)
   ENDIF (DARWIN_VERSION GREATER 11)
ENDIF(APPLE)

MESSAGE (STATUS "*** Staging to build ${PACKAGE_NAME} ${PACKAGE_VERSION} ***")

#If on Windows or Apple, build the monolithic package, to override use a non-sense values from the commandline (due to cmake inability to distinguish between not set and set to FALSE):
#cmake -DBUNDLE_DOCS=BLAH -DBUNDLE_TCDATA=BLAH -DBUNDLE_GSHHS=BLAH ..

IF(APPLE OR WIN32)
  SET(BUNDLE_DOCS "ON" CACHE BOOL "Include documentation in package")
  SET(BUNDLE_TCDATA "ON" CACHE BOOL "Include tide/current harmonics data in package")
  SET(BUNDLE_GSHHS "CRUDE" CACHE STRING "Include GSHHS wallpaper map in package (NONE,MIN,[CRUDE],LOW,INTERMEDIATE,HIGH,FULL)")
ELSE(APPLE OR WIN32)
  SET(BUNDLE_DOCS "OFF" CACHE BOOL "Include documentation in package")
  SET(BUNDLE_TCDATA "OFF" CACHE BOOL "Include tide/current harmonics data in package")
  SET(BUNDLE_GSHHS "NONE" CACHE STRING "Include GSHHS wallpaper map in package (NONE,MIN,[CRUDE],LOW,INTERMEDIATE,HIGH,FULL)")
ENDIF(APPLE OR WIN32)

IF(APPLE OR WIN32)
  IF(NOT BUNDLE_DOCS)
    SET (BUNDLE_DOCS "ON")
  ENDIF(NOT BUNDLE_DOCS)
  IF(NOT BUNDLE_GSHHS)
    SET (BUNDLE_GSHHS "CRUDE")
  ENDIF(NOT BUNDLE_GSHHS)
  IF(NOT BUNDLE_TCDATA)
    SET (BUNDLE_TCDATA "ON")
  ENDIF(NOT BUNDLE_TCDATA)
ENDIF(APPLE OR WIN32)

IF(BUNDLE_DOCS MATCHES "ON")
  MESSAGE (STATUS "*** Package will include documentation ***")
  IF(UNIX AND NOT APPLE)
    SET(CPACK_RPM_SPEC_MORE_DEFINE "${CPACK_RPM_SPEC_MORE_DEFINE}\n%define _include_docs ON")
  ENDIF(UNIX AND NOT APPLE)
ELSE(BUNDLE_DOCS MATCHES "ON")
  MESSAGE (STATUS "*** Package will NOT include documentation ***")
  IF(UNIX AND NOT APPLE)
    SET(CPACK_RPM_SPEC_MORE_DEFINE "${CPACK_RPM_SPEC_MORE_DEFINE}\n%define _include_docs OFF")
  ENDIF(UNIX AND NOT APPLE)
ENDIF(BUNDLE_DOCS MATCHES "ON")

IF(BUNDLE_GSHHS MATCHES "NONE|MIN|CRUDE|LOW|INTERMEDIATE|HIGH|FULL")
  # Possible values: NONE (default), MIN (=Only crude polygons, no borders/rivers), CRUDE, LOW, INTERMEDIATE, HIGH, FULL
  MESSAGE (STATUS "*** Package will include GSHHS basechart level: ${BUNDLE_GSHHS} ***")
  IF(UNIX AND NOT APPLE)
    IF(BUNDLE_GSHHS MATCHES "NONE")
      SET(CPACK_RPM_SPEC_MORE_DEFINE "${CPACK_RPM_SPEC_MORE_DEFINE}\n%define _include_gshhs_min OFF")
      SET(CPACK_RPM_SPEC_MORE_DEFINE "${CPACK_RPM_SPEC_MORE_DEFINE}\n%define _include_gshhs_crude OFF")
      SET(CPACK_RPM_SPEC_MORE_DEFINE "${CPACK_RPM_SPEC_MORE_DEFINE}\n%define _include_gshhs_low OFF")
      SET(CPACK_RPM_SPEC_MORE_DEFINE "${CPACK_RPM_SPEC_MORE_DEFINE}\n%define _include_gshhs_intermediate OFF")
      SET(CPACK_RPM_SPEC_MORE_DEFINE "${CPACK_RPM_SPEC_MORE_DEFINE}\n%define _include_gshhs_high OFF")
      SET(CPACK_RPM_SPEC_MORE_DEFINE "${CPACK_RPM_SPEC_MORE_DEFINE}\n%define _include_gshhs_full OFF")
    ENDIF(BUNDLE_GSHHS MATCHES "NONE")
    IF(BUNDLE_GSHHS MATCHES "MIN")
      SET(CPACK_RPM_SPEC_MORE_DEFINE "${CPACK_RPM_SPEC_MORE_DEFINE}\n%define _include_gshhs_min ON")
      SET(CPACK_RPM_SPEC_MORE_DEFINE "${CPACK_RPM_SPEC_MORE_DEFINE}\n%define _include_gshhs_crude OFF")
      SET(CPACK_RPM_SPEC_MORE_DEFINE "${CPACK_RPM_SPEC_MORE_DEFINE}\n%define _include_gshhs_low OFF")
      SET(CPACK_RPM_SPEC_MORE_DEFINE "${CPACK_RPM_SPEC_MORE_DEFINE}\n%define _include_gshhs_intermediate OFF")
      SET(CPACK_RPM_SPEC_MORE_DEFINE "${CPACK_RPM_SPEC_MORE_DEFINE}\n%define _include_gshhs_high OFF")
      SET(CPACK_RPM_SPEC_MORE_DEFINE "${CPACK_RPM_SPEC_MORE_DEFINE}\n%define _include_gshhs_full OFF")
    ENDIF(BUNDLE_GSHHS MATCHES "MIN")
    IF(BUNDLE_GSHHS MATCHES "CRUDE")
      SET(CPACK_RPM_SPEC_MORE_DEFINE "${CPACK_RPM_SPEC_MORE_DEFINE}\n%define _include_gshhs_min ON")
      SET(CPACK_RPM_SPEC_MORE_DEFINE "${CPACK_RPM_SPEC_MORE_DEFINE}\n%define _include_gshhs_crude ON")
      SET(CPACK_RPM_SPEC_MORE_DEFINE "${CPACK_RPM_SPEC_MORE_DEFINE}\n%define _include_gshhs_low OFF")

=== debian/changelog ===
opencpn (4.8.2-0.1~mx17+1) mx; urgency=medium

  * Rebuild for MX-17/18.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sun, 18 Aug 2019 11:58:53 -0700

opencpn (4.8.2-0.1~mx15+1) mx; urgency=medium

  * Rebuild for MX 15.
  * Revert to tiny debhelper rules file; drop cdbs as build-depend.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 19 Mar 2018 14:05:14 -0700

opencpn (4.8.2-0~xenial1) xenial; urgency=low

  * OpenCPN 4.8.2

 -- Pavel Kalian <pavel@kalian.cz>  Wed, 07 Feb 2018 08:32:35 -0600

opencpn (4.8.2-0~artful1) artful; urgency=low

  * OpenCPN 4.8.2

 -- Pavel Kalian <pavel@kalian.cz>  Wed, 07 Feb 2018 08:32:35 -0600

opencpn (4.8.2-0~bionic1) bionic; urgency=low

  * OpenCPN 4.8.2

 -- Pavel Kalian <pavel@kalian.cz>  Wed, 07 Feb 2018 08:32:35 -0600

opencpn (4.2.1724-0~precise1) precise; urgency=low

  * 4.2.1724

 -- Pavel Kalian <pavel@kalian.cz>  Wed, 25 May 2016 04:38:49 -0500

opencpn (4.2.1724-0~trusty1) trusty; urgency=low

  * 4.2.1724

 -- Pavel Kalian <pavel@kalian.cz>  Wed, 25 May 2016 04:38:49 -0500

opencpn (4.2.1724-0~vivid1) vivid; urgency=low

  * 4.2.1724

 -- Pavel Kalian <pavel@kalian.cz>  Wed, 25 May 2016 04:38:49 -0500

opencpn (4.2.1724-0~wily1) wily; urgency=low

  * 4.2.1724

 -- Pavel Kalian <pavel@kalian.cz>  Wed, 25 May 2016 04:38:49 -0500

opencpn (4.2.1724-0~xenial1) xenial; urgency=low

  * 4.2.1724

 -- Pavel Kalian <pavel@kalian.cz>  Wed, 25 May 2016 04:38:49 -0500

opencpn (4.2.1724-0~yakkety1) yakkety; urgency=low

  * 4.2.1724

 -- Pavel Kalian <pavel@kalian.cz>  Wed, 25 May 2016 04:38:49 -0500

opencpn (4.2.1706.2-0~precise1) precise; urgency=low

  * 4.2.1706

 -- Pavel Kalian <pavel@kalian.cz>  Fri, 06 May 2016 14:07:52 -0500

opencpn (4.2.1706.2-0~trusty1) trusty; urgency=low

  * 4.2.1706

 -- Pavel Kalian <pavel@kalian.cz>  Fri, 06 May 2016 14:07:52 -0500

opencpn (4.2.1706.2-0~vivid1) vivid; urgency=low

  * 4.2.1706

 -- Pavel Kalian <pavel@kalian.cz>  Fri, 06 May 2016 14:07:52 -0500

opencpn (4.2.1706.2-0~wily1) wily; urgency=low

  * 4.2.1706

 -- Pavel Kalian <pavel@kalian.cz>  Fri, 06 May 2016 14:07:52 -0500

opencpn (4.2.1706.2-0~xenial1) xenial; urgency=low

  * 4.2.1706

 -- Pavel Kalian <pavel@kalian.cz>  Fri, 06 May 2016 14:07:52 -0500

opencpn (4.2.1706.2-0~yakkety1) yakkety; urgency=low

  * 4.2.1706

 -- Pavel Kalian <pavel@kalian.cz>  Fri, 06 May 2016 14:07:52 -0500

opencpn (4.2.1706.1-0~precise1) precise; urgency=low

  * 4.2.1706

 -- Pavel Kalian <pavel@kalian.cz>  Fri, 06 May 2016 13:39:39 -0500

opencpn (4.2.1706.1-0~trusty1) trusty; urgency=low

  * 4.2.1706

 -- Pavel Kalian <pavel@kalian.cz>  Fri, 06 May 2016 13:39:39 -0500

opencpn (4.2.1706.1-0~vivid1) vivid; urgency=low

  * 4.2.1706

 -- Pavel Kalian <pavel@kalian.cz>  Fri, 06 May 2016 13:39:39 -0500

opencpn (4.2.1706.1-0~wily1) wily; urgency=low

  * 4.2.1706

 -- Pavel Kalian <pavel@kalian.cz>  Fri, 06 May 2016 13:39:39 -0500

opencpn (4.2.1706.1-0~xenial1) xenial; urgency=low

  * 4.2.1706

 -- Pavel Kalian <pavel@kalian.cz>  Fri, 06 May 2016 13:39:39 -0500

opencpn (4.2.1706.1-0~yakkety1) yakkety; urgency=low

  * 4.2.1706

 -- Pavel Kalian <pavel@kalian.cz>  Fri, 06 May 2016 13:39:39 -0500

opencpn (4.2.1706-0~precise1) precise; urgency=low

  * 4.2.1706

 -- Pavel Kalian <pavel@kalian.cz>  Fri, 06 May 2016 12:56:20 -0500

opencpn (4.2.1706-0~trusty1) trusty; urgency=low

  * 4.2.1706

 -- Pavel Kalian <pavel@kalian.cz>  Fri, 06 May 2016 12:56:20 -0500

opencpn (4.2.1706-0~vivid1) vivid; urgency=low

  * 4.2.1706

 -- Pavel Kalian <pavel@kalian.cz>  Fri, 06 May 2016 12:56:20 -0500

opencpn (4.2.1706-0~wily1) wily; urgency=low

  * 4.2.1706

 -- Pavel Kalian <pavel@kalian.cz>  Fri, 06 May 2016 12:56:20 -0500

opencpn (4.2.1706-0~xenial1) xenial; urgency=low

  * 4.2.1706

 -- Pavel Kalian <pavel@kalian.cz>  Fri, 06 May 2016 12:56:20 -0500

opencpn (4.2.1706-0~yakkety1) yakkety; urgency=low

  * 4.2.1706

 -- Pavel Kalian <pavel@kalian.cz>  Fri, 06 May 2016 12:56:20 -0500

opencpn (4.2.0-0~precise1) precise; urgency=low

  * v4.2.0

 -- Pavel Kalian <pavel@kalian.cz>  Sat, 06 Feb 2016 17:36:06 -0600

opencpn (4.2.0-0~trusty1) trusty; urgency=low

  * v4.2.0

 -- Pavel Kalian <pavel@kalian.cz>  Sat, 06 Feb 2016 17:36:06 -0600

opencpn (4.2.0-0~vivid1) vivid; urgency=low

  * v4.2.0

 -- Pavel Kalian <pavel@kalian.cz>  Sat, 06 Feb 2016 17:36:06 -0600

opencpn (4.2.0-0~wily1) wily; urgency=low

  * v4.2.0

 -- Pavel Kalian <pavel@kalian.cz>  Sat, 06 Feb 2016 17:36:06 -0600

opencpn (4.2.0-0~xenial1) xenial; urgency=low

  * v4.2.0

 -- Pavel Kalian <pavel@kalian.cz>  Sat, 06 Feb 2016 17:36:06 -0600

opencpn (4.1.1329.1-0~precise1) precise; urgency=low

  * v4.1.1329

 -- Pavel Kalian <pavel@kalian.cz>  Wed, 03 Feb 2016 06:38:09 -0600

opencpn (4.1.1329.1-0~trusty1) trusty; urgency=low

  * v4.1.1329

 -- Pavel Kalian <pavel@kalian.cz>  Wed, 03 Feb 2016 06:38:09 -0600

opencpn (4.1.1329.1-0~vivid1) vivid; urgency=low

  * v4.1.1329

 -- Pavel Kalian <pavel@kalian.cz>  Wed, 03 Feb 2016 06:38:09 -0600

opencpn (4.1.1329.1-0~wily1) wily; urgency=low

  * v4.1.1329

 -- Pavel Kalian <pavel@kalian.cz>  Wed, 03 Feb 2016 06:38:09 -0600

opencpn (4.1.1329.1-0~xenial1) xenial; urgency=low

  * v4.1.1329

 -- Pavel Kalian <pavel@kalian.cz>  Wed, 03 Feb 2016 06:38:09 -0600

opencpn (4.1.1317-0~precise1) precise; urgency=low

  * 4.1.1317

 -- Pavel Kalian <pavel@kalian.cz>  Mon, 18 Jan 2016 07:57:52 -0600

opencpn (4.1.1317-0~trusty1) trusty; urgency=low

  * 4.1.1317

 -- Pavel Kalian <pavel@kalian.cz>  Mon, 18 Jan 2016 07:57:52 -0600

opencpn (4.1.1317-0~vivid1) vivid; urgency=low

  * 4.1.1317

 -- Pavel Kalian <pavel@kalian.cz>  Mon, 18 Jan 2016 07:57:52 -0600

opencpn (4.1.1317-0~wily1) wily; urgency=low

  * 4.1.1317

 -- Pavel Kalian <pavel@kalian.cz>  Mon, 18 Jan 2016 07:57:52 -0600

opencpn (4.1.1317-0~xenial1) xenial; urgency=low

  * 4.1.1317

 -- Pavel Kalian <pavel@kalian.cz>  Mon, 18 Jan 2016 07:57:52 -0600



=== debian/control ===
Source: opencpn
Section: misc
Priority: extra
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Pavel Kalian <pavel@kalian.cz>
Build-Depends: debhelper (>= 9),
               cmake,
               libgtk2.0-dev,
               gettext,
               gpsd,
               gpsd-clients,
               libgps-dev,
               wx-common (>= 3.0.2),
               libwxgtk3.0-dev (>= 3.0.2),
               libglu1-mesa-dev,
               libgtk2.0-dev,
               wx3.0-headers (>= 3.0.2),
               libbz2-dev,
               libtinyxml-dev (>= 2.6.2),
               libsdl1.2debian,
               libportaudio2,
               portaudio19-dev,
               libcurl4-openssl-dev,
               libexpat1-dev,
               libcairo2-dev,
               libarchive-dev,
               liblzma-dev,
               libexif-dev
Standards-Version: 3.9.8
Homepage: http://www.opencpn.org/ocpn

Package: opencpn
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
         wx3.0-i18n (>= 3.0.2),
         opencpn-tcdata,
         opencpn-gshhs-low
Provides: opencpn-plugin-wmm, opencpn-plugin-chartdldr
Conflicts: opencpn-plugin-wmm, opencpn-plugin-chartdldr
Replaces: opencpn-plugin-wmm, opencpn-plugin-chartdldr
Recommends: xcalib,xdg-utils,opencpn-doc,opencpn-gshhs-crude
Suggests: opencpn-gshhs-low, opencpn-gshhs-intermediate,
          opencpn-gshhs-high,opencpn-gshhs-full
Description: Concise chartplotter and navigation software
 OpenCPN is a free software (GPLv2) project to create a concise chartplotter and navigation software for use as an underway or planning tool.  OpenCPN is developed by a team of active sailors using real world conditions for program testing and refinement.
